Bug 121784 - libungif 4.1.2 is released
Summary: libungif 4.1.2 is released
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libungif   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL: http://sourceforge.net/project/showno...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-27 20:14 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-20 18:44:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-04-27 20:14:10 UTC
Description of problem:
libungif 4.1.2 was released at March 2, 2004 and Fedora Development
is hanging around the old 4.1.0. 4.1.2 contains lots of fixes to 
4.1.0 and even more to the old 4.1.0, for more have a look to the
changelog (http://sourceforge.net/project/shownotes.php?group_id=
102202&release_id=221205).

Version-Release number of selected component (if applicable):
libungif-4.1.0-17.1

Actual results:
My rebuild of libungif 4.1.2 works very well for me, and that's what
I did (yeah, libungif moved to Sourceforge!):

--- snipp ---
--- libungif.spec       2004-03-02 22:41:43.000000000 +0100
+++ libungif.spec.rsc   2004-04-27 22:12:06.000000000 +0200
@@ -1,19 +1,16 @@
 Summary: A library for manipulating GIF format image files.
 Name: libungif
-Version: 4.1.0
-Release: 17.1
-License: X-like
-URL:   http://prtr-13.ucsc.edu/~badger/software/libungif/
-Source0: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-%{version}b1.tar.bz2
-Patch: libungif-4.1.0-stdarg.patch
-Patch1: libungif-CVS.patch
+Version: 4.1.2
+Release: 1
+License: MIT
+URL: http://sourceforge.net/projects/libungif/
+Source: http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
 Group: System Environment/Libraries
-BuildRoot: %{_tmppath}/%{name}-root
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
 # The following libgif.so handles packages built against the
 # previous broken giflib package
 Provides: libgif.so giflib
 Obsoletes: giflib
-Prefix: /usr

 %description
 The libungif package contains a shared library of functions for
@@ -52,16 +49,12 @@
 You'll also need to install the libungif package.

 %prep
-%setup -q -n %{name}-%{version}b1
-%patch -p1 -b .stdarg
-%patch1 -p1 -b .cvs
+%setup -q -n %{name}-%{version}

 %build
-autoreconf --install --force
 %configure
 make all

-
 %install
 rm -rf ${RPM_BUILD_ROOT}

@@ -86,6 +79,7 @@
 %files
 %defattr(-,root,root)
 %doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
+%doc ChangeLog TODO BUGS AUTHORS
 %{_libdir}/lib*.so.*

 %files devel
@@ -101,6 +95,10 @@
 %{_bindir}/*

 %changelog
+* Tue Apr 27 2004 Robert Scheck <redhat@linuxnetz.de> 4.1.2-1
+- Upgrade to 4.1.2
+- Cleaned up and updated spec file
+
 * Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt

--- snapp ---

Expected results:
Upgrade to 4.1.2 ;-)

Comment 1 Alan Cox 2004-05-02 23:02:13 UTC
FC2 is basically frozen now except for fixes


Comment 2 Robert Scheck 2004-05-20 12:34:03 UTC
Well, if we do 

"chmod 644 COPYING README UNCOMPRESSED_GIF NEWS ONEWS"

we maybe should use that files in the %doc section, too? Otherwise
we still wouldn't really need that chmod ;-)

--- libungif.spec       2004-05-19 17:52:45.000000000 +0200
+++ libungif.spec.rsc   2004-05-20 14:27:56.000000000 +0200
@@ -79,6 +78,7 @@

 %files
 %defattr(-,root,root)
+%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
 %doc ChangeLog TODO BUGS AUTHORS
 %{_libdir}/lib*.so.*


Comment 3 Matthias Clasen 2004-05-20 18:44:55 UTC
Sorry, just an oversight.


Note You need to log in before you can comment on or make changes to this bug.